--- /dev/null
+munin--cn
+~~~~~~~~~
+
+Paket donosi neke (minimalne) rekonfiguracije za uskladjivanje sa ostalim
+CARNet paketima i distribucijom.
+
+ -- Dinko Korunic <kreator@carnet.hr> Wed, 24 Oct 2007 11:53:15 +0200
--- /dev/null
+changelog.Debian
\ No newline at end of file
--- /dev/null
+munin-cn (1.2.3-1) stable; urgency=low
+
+ * inicijalna verzija paketa -- za sada samo postavlja ispravni hostname u
+ munin konfiguracije
+
+ -- Dinko Korunic <kreator@carnet.hr> Wed, 24 Oct 2007 11:45:56 +0200
--- /dev/null
+Source: munin-cn
+Section: net
+Priority: optional
+Maintainer: Dinko Korunic <kreator@carnet.hr>
+Build-Depends: debhelper (>= 4)
+Standards-Version: 3.7.2
+
+Package: munin-cn
+Architecture: all
+Depends: munin (>= 1.2.3-1), munin-node (>= 1.2.3-1), libdate-manip-perl (>= 5.42a-3), libnet-snmp-perl (>= 5.0.1-1)
+Description: network-wide graphing framework (grapher/gatherer)
+ Munin is a highly flexible and powerful solution used to create graphs of
+ virtually everything imaginable throughout your network, while still
+ maintaining a rattling ease of installation and configuration.
+ .
+ This package contains the grapher/gatherer. You will only need one
+ instance of it in your network. It will periodically poll all the nodes
+ in your network it's aware of for data, which it in turn will use to
+ create graphs and HTML pages, suitable for viewing with your graphical
+ web browser of choice.
+ .
+ It is also able to alert you if any value is outside of a preset
+ boundary, useful if you want to be alerted if a filesystem is about to
+ grow full, for instance. You can do this by making Munin run an
+ arbitrary command when you need to be alert it, or make use of the
+ intrinsic Nagios support.
+ .
+ Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
+ RRDtool. To see a real example of Munin in action, take a peek at
+ <http://www.linpro.no/projects/munin/example/>.
+ .
+ This package brings CARNet-related configuration.
--- /dev/null
+changelog.CARNet
+README.CARNet
--- /dev/null
+#!/bin/sh
+# postinst script for bind9-cn
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure|reconfigure)
+ # continue below
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+# import CN-functions
+. /usr/share/carnet-tools/functions.sh
+
+# variables
+CARNET_HOSTNAME=`hostname`
+CARNET_DOMAINNAME=`hostname --domain`
+
+# fix the hostname in munin/munin-node configuration
+cp_check_and_sed 'localhost.localdomain' \
+ "s/localhost.localdomain/$CARNET_HOSTNAME.$CARNET_DOMAINNAME/g" \
+ /etc/munin/munin.conf || true
+cp_check_and_sed 'localhost.localdomain' \
+ "s/localhost.localdomain/$CARNET_HOSTNAME.$CARNET_DOMAINNAME/g" \
+ /etc/munin/munin-node.conf || true
+
+# restart the services
+if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d munin-node restart || exit $?
+else
+ /etc/init.d/munin-node restart || exit $?
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# This file is public domain software, originally written by Joey Hess.
+#
+# This version is for packages that are architecture independent.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+build: build-stamp
+build-stamp:
+ dh_testdir
+
+ # Add here commands to compile the package.
+ #$(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp
+
+ # Add here commands to clean up after the build process.
+ #-$(MAKE) clean
+ #-$(MAKE) distclean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/<packagename>.
+ #$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
+
+# Build architecture-independent files here.
+binary-indep: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+# dh_installexamples
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installcatalogs
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+# dh_undocumented
+ dh_installman
+ dh_link
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+ dh_installdeb
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install